/**
 * $Id: SessionInfo.java 5099 2016-04-11 12:06:51Z yupengfei $
 * Copyright(C) 2014-2020 netease - easegame, All Rights Reserved.
 */
package com.liquidnet.commons.lang.pojo;

import java.util.Date;

/**
 *
 * @author <a href="mailto:yupengfei@kowlone.com">kowlone</a>
 * @version 1.0 2015年11月3日 下午1:51:22
 */
public class SessionInfo {

	private Long userId;//用户ID

	private String userName;// 用户名

	private String userEmail;// 用户邮箱

	private String userMobile;// 用户手机

	private String realName;// 用户姓名

	private String userCard;// 用户身份证号

	private String loginIp;// 最后登录IP

	private Date loginTime;// 最后登录时间

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserEmail() {
		return userEmail;
	}

	public void setUserEmail(String userEmail) {
		this.userEmail = userEmail;
	}

	public String getUserMobile() {
		return userMobile;
	}

	public void setUserMobile(String userMobile) {
		this.userMobile = userMobile;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getUserCard() {
		return userCard;
	}

	public void setUserCard(String userCard) {
		this.userCard = userCard;
	}

	public String getLoginIp() {
		return loginIp;
	}

	public void setLoginIp(String loginIp) {
		this.loginIp = loginIp;
	}

	public Date getLoginTime() {
		return loginTime;
	}

	public void setLoginTime(Date loginTime) {
		this.loginTime = loginTime;
	}

	/**
	 * 取得
	 * @return
	 */
	public Long getUserId() {
		return userId;
	}

	/**
	 * 设置
	 * @param userId
	 */
	public void setUserId(Long userId) {
		this.userId = userId;
	}





}
